using Ewide.Core.Service.Area.Dto;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Core.Service.Area
{
    public interface IAreaCodeService
    {
        Task AddAreaCode(AreaCodeInput input);
        Task DeleteAreaCode(DeleteAreaCodeInput input);
        Task UpdateAreaCode(AreaCodeInput input);
        Task<SysAreaCode> GetAreaCode(string code);
        Task<List<SysAreaCode>> GetAreaCodeWithChildren(string code);

        Task<List<AreaTreeNode>> GetAreaCodeTree(int? level);

        Task<dynamic> QueryAreaCodePageList([FromQuery] AreaCodeInput input);

        Task<List<string>> GetAreaCodeListByOrgId(List<string> orgIdList);
    }
}
